%global momorel 3
%global pyver 2.6
%global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define __libtoolize :

Summary: Beagle Library
Name: libbeagle

Version: 0.3.9
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops
URL: http://beagle-project.org/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  pkgconfig
BuildRequires:  beagle >= 0.3.9
BuildRequires:  gtk-doc
BuildRequires:  python

BuildRequires:  glib2-devel >= 2.14.4
BuildRequires:  libxml2-devel >= 2.6.30
BuildRequires:  pygtk2-devel >= 2.12.0
BuildRequires:  pygobject-devel >= 2.14.0
BuildRequires:  intltool
Requires:     beagle >= 0.3.9

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x

%description
beagle library

%package devel
Summary:      Beagle C interface
Group:        Development/Libraries
Requires:     %{name} = %{version} libxml2-devel glib-devel

%description devel
Library to talk to the beagle server in C.

%package python
Summary:      Beagle python interface
Group:        Development/Libraries
Requires:     %{name} = %{version}
Requires:     python >= %{pyver}
BuildRequires:python-devel >= %{pyver}

%description python
Python wrappers for libbeagle

%package doc
Summary:      Beagle document
Group:        Documentation
Requires:     beagle >= 0.3.9

%description doc
Beagle document

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{buildroot}/%{?buildsubdir}
mkdir -p ${MONO_SHARED_DIR}
%configure --enable-gtk-doc \
    --enable-xml-dump \
    --program-transform-name=""
%make

%install
rm -rf --preserve-root %{buildroot}
export MONO_SHARED_DIR=%{buildroot}/%{?buildsubdir}
mkdir -p ${MONO_SHARED_DIR}

%make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libbeagle.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/libbeagle
%{_libdir}/libbeagle.so
%{_libdir}/libbeagle.a
%exclude %{_libdir}/libbeagle.la
%{_libdir}/pkgconfig/libbeagle*.pc

%files python
%defattr(-, root, root)
%{python_sitelib}/beagle

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/beagle

%changelog
* Fri May 22 2009 Masaru Sanuki <sanuki@momonga-linux.org>
- (0.3.9-3m)
- define __libtoolize (build fix)

* Thu Jan 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.9-2m)
- fix build on x86_64

* Wed Jan 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-1m)
- update to 0.3.9

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.5.1-3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.5.1-2m)
- rebuild against python-2.6.1-2m

* Mon Apr 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5.1-1m)
- update to 0.3.5.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.4-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.4-1m)
- update to 0.3.4

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-3m)
- %%NoSource -> NoSource

* Tue Dec 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-2m)
- fix beagle requires version

* Sun Dec  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-1m)
- separate from beagle
-- belows were beagle changelog

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.18-2m)
- modify patch5 (for epiphany-2.20.0)

* Tue Aug 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.18-1m)
- update to 0.2.18

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.17-3m)
- add intltoolize (intltool-0.36.0)

* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.17-2m)
- enable evolution-sharp gsf-sharp epiphany

* Wed May  9 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.2.17-1m)
- update to 0.2.17

* Sun Mar 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.16.3-1m)
- update to 0.2.16.3

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.16.2-1m)
- up to 0.2.16.2
- delete patch6 (build fix)

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-liunx.org>
- (0.2.16-1m)
- up to 0.2.16

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.14-2m)
- rebuild against python-2.5

* Tue Dec 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.14-1m)
- update to 0.2.14
- add "X-GNOME-autostart-enabled = False" to %%{_sysconfdir}/xdg/autostart/*

* Fri Nov  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.12-2m)
- add doc package

* Fri Nov  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.12-1m)
- update to 0.2.12
- rebuild against wv-1.2.4-1m

* Sat Oct 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.11-1m)
- update to 0.2.11

* Tue Sep 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.10-1m)
- update to 0.2.10

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.9-2m)
- remove category Application X-Ximian-Settings AdvancedSettings

* Mon Sep  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.9-1m)
- update to 0.2.9
- do not apply patch5

* Tue Aug 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.7-6m)
- rebuild against expat-2.0.0-1m

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.7-5m)
- rebuils against gtk-sharp
- add requires gnome-sharp
- add Patch5 (conflict Gtk.TrayIcon and Search.Tray.TrayIcon)

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.7-4m)
- rebuild against wv-1.2.1-3m

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.7-3m)
- revised for multilibarch

* Wed Jul 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.7-2m)
- stop beagle-crawl (cron.daily)

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.7-1m)
- update to 0.2.7

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2.6-6m)
- depend sqlite3 -> sqlite

* Tue Jun  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.6-5m)
- Fix BuildPrereq (mono package name changed)

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.6-4m)
- delete duplicate dir

* Sun May 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.6-3m)
- BuildRequires:  wv >= 1.2.1

* Wed May 17 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.6-2m)
- add Patch4: beagle-0.2.6-lib64.patch

* Tue May 16 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.6-1m)
- version 0.2.6
- First import, based on Fedora
